%define upstream_version 1.6.1.dev5
%global pypi_name oslo.rootwrap
%global milestone a3

Name:           python-oslo-rootwrap
Version: 1.6.1
Release: 0.20160405101343.4b147f6%{?dist}
Summary:        Oslo Rootwrap

License:        ASL 2.0
URL:            https://launchpad.net/oslo
Source0: oslo.rootwrap-1.6.1.dev5-0.20160405101343.4b147f6.tar.gz
BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python-pbr


%description
The Oslo Rootwrap allows fine filtering of shell commands to run as `root`
from OpenStack services.

Unlike other Oslo deliverables, it should **not** be used as a Python library,
but called as a separate process through the `oslo-rootwrap` command:

`sudo oslo-rootwrap ROOTWRAP_CONFIG COMMAND_LINE`

%prep
%setup -q -n %{pypi_name}-%{upstream_version}

%build
%{__python2} setup.py build


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

#%check
#%{__python} setup.py test

%files
%doc README.rst LICENSE
%{python2_sitelib}/oslo
%{python2_sitelib}/oslo_rootwrap
%{python2_sitelib}/*.egg-info
%{python2_sitelib}/*-nspkg.pth

%changelog
